---
title: onMSVideoOptimalLayoutChanged
slug: Web/API/HTMLVideoElement/onMSVideoOptimalLayoutChanged
tags:
  - onMSVideoOptimalLayoutChanged
---
<p id="Summary">{{APIRef("DOM")}}</p>

<p>{{Non-standard_header()}}</p>

<p><code><strong>onMSVideoOptimalLayoutChanged</strong></code> is an event which occurs when the <a href="/en-US/docs/Web/API/MsIsLayoutOptimalForPlayback">msIsLayoutOptimalForPlayback</a> state changes.</p>

<p>This proprietary property is specific to Internet Explorer and Microsoft Edge.</p>

<h2 id="Syntax">Syntax</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Value</th>
   <th scope="col">Description</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>Event Property</td>
   <td>object.onMSVideoOptimalLayoutChanged = handler;</td>
  </tr>
  <tr>
   <td>attachEvent Method</td>
   <td>object.attachEvent("onMSVideoOptimalLayoutChanged", handler)</td>
  </tr>
  <tr>
   <td>addEventListener Method</td>
   <td>object.addEventListener("", handler, useCapture)</td>
  </tr>
 </tbody>
</table>

<table class="standard-table">
 <tbody>
  <tr>
   <td>Synchronous</td>
   <td>No</td>
  </tr>
  <tr>
   <td>Bubbles</td>
   <td>No</td>
  </tr>
  <tr>
   <td>Cancelable</td>
   <td>No</td>
  </tr>
 </tbody>
</table>

<h2 id="See_Also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/MsIsLayoutOptimalForPlayback">msIsLayoutOptimalForPlayback</a></li>
 <li><a href="/en-US/docs/Web/API/HTMLVideoElement">HTMLVideoElement</a></li>
 <li><a href="/en-US/docs/Web/API/Microsoft_API_extensions">Microsoft API extensions </a></li>
</ul>
